Bug 8027 - Добавить симлинк на /tmp/.private/
: Добавить симлинк на /tmp/.private/
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/setup)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-21 15:28 by
Modified: 2010-05-26 18:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-21 15:28:29
Я предлагаю создавать символическую ссылку из $HOME/tmp в /tmp/.private в
скрипте tmpdir.sh. Это предоставит пользователю(и его приложениям) удобный
способ ходить в его пользовательский TMPDIR.
------- Comment #1 From 2005-09-21 15:42:11 -------
С возможностью отключения этого поведения, пожалуйста.
------- Comment #2 From 2005-09-21 15:58:20 -------
Поддерживаю это решение, при условии наличии простой ручки включения/выключения
этого функционала.

Желательно через control.
------- Comment #3 From 2005-09-21 16:11:20 -------
Возможно я не так выразился ... не вместо $HOME/tmp, а в этой директори ...
Например: $HOME/tmp/private -> /tmp/.private/$USER
------- Comment #4 From 2005-09-21 18:23:18 -------
См. тж. #6814, #8030.

(re "в этой"... быстро/дёшево/сердито -- и нифига непонятно не порченному мукой
и чародейством пользователю)
------- Comment #5 From 2005-09-21 19:15:02 -------
(In reply to comment #4)
#8030 - это предложение.
#6814 - это обсуждение непонятно чего.

> (re "в этой"... быстро/дёшево/сердито -- и нифига непонятно не порченному мукой
> и чародейством пользователю)

Миш, извини, но это опять слова. Давай не будем уходить от описания конкретных
ошибок и конкретных предложений по их исправлению.
Если есть потребность порассуждать, то давай переместимся в рассылку. Я с Димой
согласен, здесь для этого не место.

Как я понял, ты против моего предложения. Я правильно понял?
Если да, то обоснуй почему. 
Если кому-нибудь нужно, то я могу пояснить почему я считаю это решение правильным.
------- Comment #6 From 2005-09-22 08:33:28 -------
$HOME/tmp/private - это совсем не то, что я предлагал в #6814. Попробуйте
объяснить пользователю (и мне заодно), в каких случаях каким временным
каталогом
пользоваться. А лично я не хочу присутствия $HOME/tmp как такового. Он мне не
нужен.
Каталог под временные файлы данного пользователя должен быть ровно один.
------- Comment #7 From 2008-08-11 12:01:09 -------
Предлагаю закрыть как WONTFIX; похоже, никто в этом баге особо не
заинтересован.
------- Comment #8 From 2010-05-26 18:08:34 -------
(In reply to comment #0)
> Я предлагаю создавать символическую ссылку из $HOME/tmp в /tmp/.private в
> скрипте tmpdir.sh. Это предоставит пользователю(и его приложениям) удобный
> способ ходить в его пользовательский TMPDIR.

Приложениям лучше использовать $TMPDIR.